Question types: Variable numeric

qtype_varnumeric
Maintained by Tim at Lone Pine Koala SanctuaryTim Hunt, Picture of Jamie PrattJamie Pratt, Picture of Phil ButcherPhil Butcher
A calculated numeric question type with variable and expression evaluation. Random values are generated for each student attempting the quiz.

Variable numeric 1.6 for Moodle 2.6+

Release notes

Variable Numeric Question Type
------------------------------

The question type was created by Jamie Pratt (http://jamiep.org/) for
the Open University (http://www.open.ac.uk/).

This version of this question type is compatible with Moodle 2.5+. There are
other versions available for Moodle 2.3+.

This question type requires the varnumericset question type to be installed. See:
https://github.com/moodleou/moodle-qtype_varnumericset/

To install this question type using git, type this command in the root of your
Moodle install:
git clone git://github.com/moodleou/moodle-qtype_varnumeric.git question/type/varnumeric
Then add question/type/varnumeric to your git ignore.

Alternatively, download the zip from
https://github.com/moodleou/moodle-qtype_varnumeric/zipball/master
unzip it into the question/type folder, and then rename the new folder to varnumeric.

You may want to install Tim's stripped down tinymce editor that only allows the
use of superscript and subscript see
https://github.com/moodleou/moodle-editor_supsub. To install this editor using
git, type this command in the root of your Moodle install:
git clone git://github.com/moodleou/moodle-editor_supsub.git lib/editor/supsub
Then add lib/editor/supsub to your git ignore.

If the editor is not installed the question type can still be used but if it is
installed when you make a question that requires scientific notation then this
editor will be shown and a student can either enter an answer with the notation
1x10^5 where the ^5 is expressed with super script.
Moodle 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3

Version information

Version build number
2014111200
Version release name
1.6 for Moodle 2.6+
Can be updated from
1.0 (2011082701), 1.0 (2011082701), 1.1 for Moodle 2.1 (2012081600), 1.1 for Moodle 2.2 (2012081600), 1.1 for Moodle 2.3+ (2012081600), 1.2 for Moodle 2.3+ (2013031400), 1.3 for Moodle 2.5+ (2013070100), 1.4 for Moodle 2.5+ (2014010800), 1.5 for Moodle 2.5+ (2014042800)
Maturity
Stable version
MD5 Sum
0b7384f89abebbe0d62cdaf42854a0a8
Supported software
Moodle 2.6, Moodle 2.7, Moodle 2.8, Moodle 2.9, Moodle 3.0, Moodle 3.1, Moodle 3.2, Moodle 3.3
  • This is the latest release for Moodle 2.6
  • This is the latest release for Moodle 2.7
  • This is the latest release for Moodle 2.8
  • This is the latest release for Moodle 2.9
  • This is the latest release for Moodle 3.0
  • This is the latest release for Moodle 3.1
  • This is the latest release for Moodle 3.2
  • This is the latest release for Moodle 3.3

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS branch
master
VCS tag
v1.6

Default installation instructions for plugins of the type Question types

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myquestiontype") in the "question/type" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation